Index: trunk/SophyaProg/PMixer/Makefile
===================================================================
--- trunk/SophyaProg/PMixer/Makefile	(revision 2735)
+++ trunk/SophyaProg/PMixer/Makefile	(revision 2743)
@@ -1,348 +1,378 @@
-MODULECXXREPNAME :=  PMixer
-include ../Mgr/Makefile.h
- 
-ifdef NOSHLIB
-LIBF =  $(LIB)libFitsIOServer.a $(LIB)libSamba.a $(LIB)libSkyMap.a $(LIB)libSkyT.a $(LIB)libNTools.a $(LIB)libHiStats.a $(LIB)libTArray.a $(LIB)libSysTools.a 
-LIBS = -L$(LIB) -lFitsIOServer -lSamba -lSkyMap -lSkyT -lNTools -lHiStats -lTArray -lSysTools -lm
-ifeq ($(CXX),cxx)
-# librairie des instances de templates cxx
-LIBS := $(LIBS) -lertcxx
-endif
-else
-LIBF =  $(SLB)libsophya.so $(SLB)libextsophya.so
-LIBS = -L$(SLB) -lsophya -lextsophya  -lm
-endif
-LIBSORA := $(LIBS)
-ifdef ORACLE_HOME
-LIBSORA := -L$(LIB) -lDb++ $(LIBS) -lErosDb -L$(ORACLE_HOME)/lib -lclntsh
-endif
-LDLIBS := $(LIBS) $(LDLIBS)
-PROGS = $(EXE)skymixer $(EXE)extractRS $(EXE)tgrsr $(EXE)tgsky $(EXE)easyTest $(EXE)Sph2Sph
+include ../BuildMgr/sophyamake.inc
+ 
+PROGS = $(SOPHYAEXEP)skymixer $(SOPHYAEXEP)extractRS $(SOPHYAEXEP)tgrsr $(SOPHYAEXEP)tgsky $(SOPHYAEXEP)easyTest $(SOPHYAEXEP)Sph2Sph
  
 all: $(PROGS)
-
+ 
 clean:
 	rm -f $(PROGS)
-	if [ -d $(OBJ)cxxrep_PMixer ] ; then cd $(OBJ)cxxrep_PMixer ; rm -f *.o ; fi
-
-skymixer: $(EXE)skymixer
-	
-$(EXE)skymixer: $(OBJ)skymixer.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-  
-extractRS: $(EXE)extractRS
-	
-$(EXE)extractRS: $(OBJ)extractRS.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-  
-tgrsr: $(EXE)tgrsr
-	
-$(EXE)tgrsr: $(OBJ)tgrsr.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-  
-tgsky: $(EXE)tgsky
-	
-$(EXE)tgsky: $(OBJ)tgsky.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-  
-easyTest: $(EXE)easyTest
-	
-$(EXE)easyTest: $(OBJ)easyTest.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-  
-Sph2Sph: $(EXE)Sph2Sph
-	
-$(EXE)Sph2Sph: $(OBJ)Sph2Sph.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-  
-$(OBJ)Sph2Sph.o: Sph2Sph.cc pmixer.h \
- $(INC)machdefs.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)tvector.h \
- $(INC)fioarr.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)srandgen.h \
- $(INC)timing.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)datacards.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)fiospherehealpix.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h \
- $(INC)fitstarray.h \
- $(INC)cimage.h \
- $(INC)radspecvector.h \
- $(INC)radspec.h \
- $(INC)specresp.h \
- $(INC)blackbody.h \
- $(INC)convtools.h \
- $(INC)derivblackbody.h \
- $(INC)nupower.h \
- $(INC)squarefilt.h \
- $(INC)trianglefilt.h \
- $(INC)specrespvector.h \
- $(INC)gaussfilt.h \
- $(INC)bruit.h \
- $(INC)mapoperation.h
-$(OBJ)easyTest.o: easyTest.cc $(INC)blackbody.h \
- $(INC)radspec.h \
- $(INC)machdefs.h \
- $(INC)specresp.h \
- $(INC)anydataobj.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)convtools.h \
- $(INC)radspecvector.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)specrespvector.h \
- $(INC)squarefilt.h \
- $(INC)gaussfilt.h \
- $(INC)trianglefilt.h
-$(OBJ)extractRS.o: extractRS.cc pmixer.h \
- $(INC)machdefs.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)tvector.h \
- $(INC)fioarr.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)srandgen.h \
- $(INC)timing.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)datacards.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)fiospherehealpix.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h \
- $(INC)fitstarray.h \
- $(INC)cimage.h \
- $(INC)radspecvector.h \
- $(INC)radspec.h \
- $(INC)specresp.h \
- $(INC)blackbody.h \
- $(INC)convtools.h \
- $(INC)derivblackbody.h \
- $(INC)nupower.h \
- $(INC)squarefilt.h \
- $(INC)trianglefilt.h \
- $(INC)specrespvector.h \
- $(INC)gaussfilt.h \
- $(INC)bruit.h \
- $(INC)mapoperation.h
-$(OBJ)skymixer.o: skymixer.cc pmixer.h \
- $(INC)machdefs.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)tvector.h \
- $(INC)fioarr.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)srandgen.h \
- $(INC)timing.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)datacards.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)fiospherehealpix.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h \
- $(INC)fitstarray.h \
- $(INC)cimage.h \
- $(INC)radspecvector.h \
- $(INC)radspec.h \
- $(INC)specresp.h \
- $(INC)blackbody.h \
- $(INC)convtools.h \
- $(INC)derivblackbody.h \
- $(INC)nupower.h \
- $(INC)squarefilt.h \
- $(INC)trianglefilt.h \
- $(INC)specrespvector.h \
- $(INC)gaussfilt.h \
- $(INC)bruit.h \
- $(INC)mapoperation.h
-$(OBJ)tgrsr.o: tgrsr.cc pmixer.h $(INC)machdefs.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)tvector.h \
- $(INC)fioarr.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)srandgen.h \
- $(INC)timing.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)datacards.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)fiospherehealpix.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h \
- $(INC)fitstarray.h \
- $(INC)cimage.h \
- $(INC)radspecvector.h \
- $(INC)radspec.h \
- $(INC)specresp.h \
- $(INC)blackbody.h \
- $(INC)convtools.h \
- $(INC)derivblackbody.h \
- $(INC)nupower.h \
- $(INC)squarefilt.h \
- $(INC)trianglefilt.h \
- $(INC)specrespvector.h \
- $(INC)gaussfilt.h \
- $(INC)bruit.h \
- $(INC)mapoperation.h
-$(OBJ)tgsky.o: tgsky.cc pmixer.h $(INC)machdefs.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)tvector.h \
- $(INC)fioarr.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)srandgen.h \
- $(INC)timing.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)datacards.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)fiospherehealpix.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h \
- $(INC)fitstarray.h \
- $(INC)cimage.h \
- $(INC)radspecvector.h \
- $(INC)radspec.h \
- $(INC)specresp.h \
- $(INC)blackbody.h \
- $(INC)convtools.h \
- $(INC)derivblackbody.h \
- $(INC)nupower.h \
- $(INC)squarefilt.h \
- $(INC)trianglefilt.h \
- $(INC)specrespvector.h \
- $(INC)gaussfilt.h \
- $(INC)bruit.h \
- $(INC)mapoperation.h
+	rm -f $(SOPHYAOBJP)Sph2Sph.o $(SOPHYAOBJP)easyTest.o $(SOPHYAOBJP)tgsky.o $(SOPHYAOBJP)tgrsr.o $(SOPHYAOBJP)extractRS.o $(SOPHYAOBJP)skymixer.o
+ 
+skymixer: $(SOPHYAEXEP)skymixer
+	echo $@ " done"
+$(SOPHYAEXEP)skymixer: $(SOPHYAOBJP)skymixer.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+extractRS: $(SOPHYAEXEP)extractRS
+	echo $@ " done"
+$(SOPHYAEXEP)extractRS: $(SOPHYAOBJP)extractRS.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+tgrsr: $(SOPHYAEXEP)tgrsr
+	echo $@ " done"
+$(SOPHYAEXEP)tgrsr: $(SOPHYAOBJP)tgrsr.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+tgsky: $(SOPHYAEXEP)tgsky
+	echo $@ " done"
+$(SOPHYAEXEP)tgsky: $(SOPHYAOBJP)tgsky.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+easyTest: $(SOPHYAEXEP)easyTest
+	echo $@ " done"
+$(SOPHYAEXEP)easyTest: $(SOPHYAOBJP)easyTest.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+Sph2Sph: $(SOPHYAEXEP)Sph2Sph
+	echo $@ " done"
+$(SOPHYAEXEP)Sph2Sph: $(SOPHYAOBJP)Sph2Sph.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+$(SOPHYAOBJP)easyTest.o: easyTest.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)trianglefilt.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)extractRS.o: extractRS.cc \
+  $(SOPHYAINCP)sopnamsp.h pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)skymixer.o: skymixer.cc \
+  $(SOPHYAINCP)sopnamsp.h pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc \
+  $(SOPHYAINCP)sopnamsp.h pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)tgrsr.o: tgrsr.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)tgsky.o: tgsky.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaProg/PMixer/smakefile
===================================================================
--- trunk/SophyaProg/PMixer/smakefile	(revision 2743)
+++ trunk/SophyaProg/PMixer/smakefile	(revision 2743)
@@ -0,0 +1,378 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+PROGS = $(SOPHYAEXEP)skymixer $(SOPHYAEXEP)extractRS $(SOPHYAEXEP)tgrsr $(SOPHYAEXEP)tgsky $(SOPHYAEXEP)easyTest $(SOPHYAEXEP)Sph2Sph
+ 
+all: $(PROGS)
+ 
+clean:
+	rm -f $(PROGS)
+	rm -f $(SOPHYAOBJP)Sph2Sph.o $(SOPHYAOBJP)easyTest.o $(SOPHYAOBJP)tgsky.o $(SOPHYAOBJP)tgrsr.o $(SOPHYAOBJP)extractRS.o $(SOPHYAOBJP)skymixer.o
+ 
+skymixer: $(SOPHYAEXEP)skymixer
+	echo $@ " done"
+$(SOPHYAEXEP)skymixer: $(SOPHYAOBJP)skymixer.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+extractRS: $(SOPHYAEXEP)extractRS
+	echo $@ " done"
+$(SOPHYAEXEP)extractRS: $(SOPHYAOBJP)extractRS.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+tgrsr: $(SOPHYAEXEP)tgrsr
+	echo $@ " done"
+$(SOPHYAEXEP)tgrsr: $(SOPHYAOBJP)tgrsr.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+tgsky: $(SOPHYAEXEP)tgsky
+	echo $@ " done"
+$(SOPHYAEXEP)tgsky: $(SOPHYAOBJP)tgsky.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+easyTest: $(SOPHYAEXEP)easyTest
+	echo $@ " done"
+$(SOPHYAEXEP)easyTest: $(SOPHYAOBJP)easyTest.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+Sph2Sph: $(SOPHYAEXEP)Sph2Sph
+	echo $@ " done"
+$(SOPHYAEXEP)Sph2Sph: $(SOPHYAOBJP)Sph2Sph.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+$(SOPHYAOBJP)easyTest.o: easyTest.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)trianglefilt.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)extractRS.o: extractRS.cc \
+  $(SOPHYAINCP)sopnamsp.h pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)skymixer.o: skymixer.cc \
+  $(SOPHYAINCP)sopnamsp.h pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc \
+  $(SOPHYAINCP)sopnamsp.h pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)tgrsr.o: tgrsr.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)tgsky.o: tgsky.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) -o $@ $<
+ 
